<?php
require 'conexion_PDO.php';

$email = $_POST['email'];
$pass1 = $_POST['password1'];
$pass2 = $_POST['password2'];

if ($_POST['password1'] !== $_POST['password2']) {
    header("Location: validar_tokenpass.php?email=" . urlencode($_POST['email']) . "&error=no_coinciden");
    exit;
}


// Encriptar la contraseña antes de guardarla
$hash = password_hash($pass1, PASSWORD_DEFAULT);

// Actualizar en la base de datos
$stmt = $pdo->prepare("UPDATE Usuarios SET contrasenna = ?, token_pass = NULL WHERE usuario = ?");
$stmt->execute([$hash, $email]);

// Redirigir con mensaje de éxito
header("Location: validar_tokenpass.php?email=" . urlencode($email) . "&exito=1");
exit;
